Package com.google.android.exoplayer2.extractor

## Class VorbisUtil.Mode

- java.lang.Object
- - com.google.android.exoplayer2.extractor.VorbisUtil.Mode

- Enclosing class:
    VorbisUtil

      public static final class VorbisUtil.Mode
      extends Object

  Vorbis setup header modes.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `blockFlag` |
    `int` | `mapping` |
    `int` | `transformType` |
    `int` | `windowType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Mode​(boolean blockFlag, int windowType, int transformType, int mapping)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### blockFlag

          public final boolean blockFlag

    - #### windowType

          public final int windowType

    - #### transformType

          public final int transformType

    - #### mapping

          public final int mapping

  - ### Constructor Detail

    - #### Mode

          public Mode​(boolean blockFlag,
                      int windowType,
                      int transformType,
                      int mapping)